// 获取当前url完整前缀
export var getHostAndProtocol = function getHostAndProtocol() {
  var _window$location = window.location,
    protocol = _window$location.protocol,
    host = _window$location.host;
  return "".concat(protocol, "//").concat(host, "/");
};

/**
 * base64转Blob对象
 * @param base64Str base64字符串
 * @returns Blob对象
 */
export function base64ToBlob(base64Str) {
  var _base64List$0$match;
  var base64List = base64Str.split(',');
  var fileType = (_base64List$0$match = base64List[0].match(/:(.*?);/)) === null || _base64List$0$match === void 0 ? void 0 : _base64List$0$match[1];
  var bstr = atob(base64List[1]);
  var len = bstr.length;
  var u8List = new Uint8Array(len);
  // 将图像数据逐字节放入Uint8Array中
  while (len) {
    len -= 1;
    u8List[len] = bstr.charCodeAt(len);
  }
  return new Blob([u8List], {
    type: fileType
  });
}

/**
 * base64转File
 * @param base64Str base64字符串
 * @param fileName 文件名称
 * @returns file文件
 */
export function base64ToFile(base64Str, fileName) {
  var blob = base64ToBlob(base64Str);
  var type = blob.type;
  var suffix = type.split('/')[1];
  var finalFileName = suffix ? "".concat(fileName, ".").concat(suffix) : fileName;
  var file = new File([blob], finalFileName, {
    type: type
  });
  return file;
}

// 替代eval
export var evalFn = function evalFn(val) {
  var Fn = Function;
  var afterHandleVal = val.replace('--', '+');
  return new Fn("return ".concat(afterHandleVal))();
};

// 复制到粘贴板
export var copyToClipboard = function copyToClipboard(content) {
  if (navigator.clipboard) {
    // 浏览器支持
    navigator.clipboard.writeText(content);
  } else {
    var aux = window.document.createElement('input');
    aux.setAttribute('value', content);
    window.document.body.appendChild(aux);
    aux.select();
    window.document.execCommand('copy');
    window.document.body.removeChild(aux);
  }
};